#! /usr/bin/perl

do "html.pl";

HTML::write_head("Call of Duty statistics at foobar64 (katei.dyndns.org)");

print <<EOF
<h1>cod_stat.pl 0.3.2 (and constantly improving)</h1>

<ul>
	<li>Player statistics</li>
	<li>Map statistics</li>
	<li>Gametype statistics</li>
	<li><a href="player_search.cgi">Search for players</a></li>
</ul>

<h2>About this server</h2>

<p>This box is a 333 MHz Celeron with 384 MB of memory and a network connection
that sucks (8000 kb/s in, 900 kb/s out, lag and packetloss excluded). One might
think such box could handle serving a game of Call of Duty: United Offensive
v1.51 but no, it starts lagging when game takes place on a big map (like one of
those coming with UO).  Try to stick with  simple maps and the server should be
fine. Of course, donations are welcome. *wink wink* If you have questions, ask
<a href="http://iki.fi/wnd/contact.html">wind</a> at IRCNet.</p>

<!--
<p>This box is serving a game of Call of Duty: Allied Assault v1.5 on random
basis, that is, whenever I feel like playing it. The best time to try to join
the server is usually around 22:00 thru 03:00 EET during the weekends. As you
can see, the statistics remain online at all times.</p>

<p>This server is running on 333 MHz Celeron with 384 MB of memory and
network connection that sucks.</p>
-->


<h2>About cod_stat.pl</h2>

<p>
<tt>cod_stat.pl</tt> is a bunch of
<a href="http://www.perl.com/">Perl</a>-scripts for generating live statistics
for Call of Duty server. Generated figures shouldn't be taken too seriously --
especially the rating score.  Rating was originally based on <a
href="http://en.wikipedia.org/wiki/Elo_rating">ELO rating system</a> but due to
incompetence of the author to implement the algorithm in multiplayer game it
was replaced with an experimental ranking system. Even though it might look
like it, algorithm is not designed to make author's ranking look better.
</p>

<p>This is the second generation of <tt>cod_stat.pl</tt> -- requiring
full-blown CGI-environment with
<a href="http://www.postgresql.org/">PostgreSQL</a> (for database access) and
<a href="http://www.boutell.com/gd/">GD Graphics Library</a>
	(for dynamic creation of images).
</p>
EOF
;

HTML::write_tail();
