package Stats;

do "db.pl";



# get_ranking
# 0	gametype
# 1	player
# 2...	player
# ret	(players, ranking [ranking]...)
#
sub get_ranking {
	my ($cmd, $result, @row);
	my $gametype = $_[0];
	my @ret;
	my $rank = 1;
	my $i;

	$cmd = "SELECT player FROM player_stat WHERE gametype = $gametype" .
			" ORDER BY rating DESC";
	$result = DB::query($cmd);
	$ret[0] = $result->ntuples;
	while (@row = $result->fetchrow) {
		for ($i = 1; $i <= $#_; $i++) {
			$ret[$i] = $rank if ($row[0] == $_[$i]);
		}
		$rank++;
	}

	return @ret;
}



# get_game_info:
# 0	game_id
# ret	(gametype, map, length, timestamp, players)
#
sub get_game_info {
	my $game_id = $_[0];
	my ($query, $result);
	my ($gametype_id, $gametype);
	my ($map_id, $map);
	my ($len, $stamp, $players);

	$query = "SELECT gametype, map, length, timestamp, players" .
			" FROM game WHERE id = $game_id";
	$result = DB::query($query);
	HTML::bad_parameters() if ($result->ntuples == 0);
	($gametype_id, $map_id, $len, $stamp, $players) = $result->fetchrow;
	
	$query = "SELECT type FROM gametype WHERE id = $gametype_id";
	$result = DB::query($query);
	($gametype) = $result->fetchrow;
	
	$query = "SELECT map FROM map WHERE id = $map_id";
	$result = DB::query($query);
	($map) = $result->fetchrow;
	
	return ($gametype, $map, $len, $stamp, $players);
}
